/*******************************************************************************
 *
 * str_util.c - various utility functions for strings.
 *
 * Version info etc.
 * 
 * Cheetah Web Browser
 * Copyright (C) 2001 Garett Spencley 
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
 *
 *******************************************************************************/

#include "str_util.h"

/*
 * my_strcmp() - faster than libc strcmp(). Used in
 * hash table lookups.
 */

__inline int my_strcmp(const char *s1, const char *s2) 
{
	if(!s1 || !s2)
		return -1;

	while(*s1 && *s2) {

		if(*s1 != *s2)
			return -1;

		++s1; ++s2;
	}

	return 0;
}

